package com.yonge.netty.common.message;

import io.netty.channel.Channel;

public interface MessageHandler<T> {

	/**
	 * 执行处理消息
	 *
	 * @param channel 通道
	 * @param message 消息
	 */
	void execute(Channel channel, Object message);

	/**
	 * @return 消息类型，即每个 Message 实现类上的 TYPE 静态字段
	 */
	String getType();

}
